stable

analitza-21.12.2-2.fc36, appmenu-qt5-0.3.0+16.10.20160628.1-28.fc36, & 112 more

FEDORA-2022-26f40bcde1 created by jgrulich 2 years ago for Fedora 36

Qt 5.15.3 bugfix release.

How to install

Updates may require up to 24 hours to propagate to mirrors. If the following command doesn't work, please retry later:

sudo dnf upgrade --refresh --advisory=FEDORA-2022-26f40bcde1

This update's test gating status has been changed to 'waiting'.

2 years ago

This update has been submitted for testing by bodhi.

2 years ago

This update's test gating status has been changed to 'failed'.

2 years ago

This update's test gating status has been changed to 'passed'.

2 years ago

This update has been pushed to testing.

2 years ago

My package was missing from this update, I have rebuilt it in your sidetag, could you please include the build in this update? Thanks.

User Icon atim provided feedback 2 years ago
karma

This update can be pushed to stable now if the maintainer wishes

2 years ago

I have rebuilt tellico with the side tag as well: https://koji.fedoraproject.org/koji/taskinfo?taskID=84659337

Current failure :

Problem 1: package tellico-3.4.4-1.fc36.x86_64 requires libQt5Charts.so.5(Qt_5.15.2_PRIVATE_API)(64bit), but none of the providers can be installed
- cannot install both qt5-qtcharts-5.15.3-1.fc36.x86_64 and qt5-qtcharts-5.15.2-5.fc36.x86_64
- cannot install the best update candidate for package tellico-3.4.4-1.fc36.x86_64
- cannot install the best update candidate for package qt5-qtcharts-5.15.2-5.fc36.x86_64

Current dnf update result

Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 qt5-qtbase                                                            x86_64                             5.15.3-1.fc36                                                 updates-testing                                               3.6 M
 qt5-qtbase-gui                                                        x86_64                             5.15.3-1.fc36                                                 updates-testing                                               6.3 M
 qt5-qtdeclarative                                                     x86_64                             5.15.3-2.fc36                                                 updates-testing                                               4.2 M
 qt5-qttools-libs-designercomponents                                   x86_64                             5.15.3-1.fc36                                                 updates-testing                                               786 k
Skipping packages with broken dependencies:
 kf5-akonadi-server                                                    x86_64                             21.12.2-2.fc36                                                updates-testing                                               2.4 M
 kf5-frameworkintegration                                              x86_64                             5.91.0-2.fc36                                                 updates-testing                                               1.6 M
 kf5-kdeclarative                                                      x86_64                             5.91.0-2.fc36                                                 updates-testing                                               325 k
 kf5-ki18n                                                             x86_64                             5.91.0-2.fc36                                                 updates-testing                                               1.7 M
 kf5-kirigami2                                                         x86_64                             5.91.0-2.fc36                                                 updates-testing                                               432 k
 kf5-kirigami2-addons-dateandtime                                      x86_64                             21.05-4.fc36                                                  updates-testing                                                51 k
 kf5-kitinerary                                                        x86_64                             21.12.2-2.fc36                                                updates-testing                                               1.0 M
 kf5-kwayland                                                          x86_64                             5.91.0-2.fc36                                                 updates-testing                                               514 k
 kf5-kxmlgui                                                           x86_64                             5.91.0-2.fc36                                                 updates-testing                                               710 k
 kwayland-integration                                                  x86_64                             5.24.3-3.fc36                                                 updates-testing                                                67 k
 kwin-libs                                                             x86_64                             5.24.3-4.fc36                                                 updates-testing                                               1.3 M
 kwin-wayland                                                          x86_64                             5.24.3-4.fc36                                                 updates-testing                                               783 k
 kwin-x11                                                              x86_64                             5.24.3-4.fc36                                                 updates-testing                                               438 k
 layer-shell-qt                                                        x86_64                             5.24.3-3.fc36                                                 updates-testing                                                35 k
 maliit-framework-qt5                                                  x86_64                             2.2.0-2.fc36                                                  updates-testing                                               313 k
 plasma-integration                                                    x86_64                             5.24.3-3.fc36                                                 updates-testing                                               208 k
 plasma-workspace                                                      x86_64                             5.24.3-3.fc36                                                 updates-testing                                                16 M
 plasma-workspace-libs                                                 x86_64                             5.24.3-3.fc36                                                 updates-testing                                               2.1 M
 pyotherside                                                           x86_64                             1.5.9-12.fc36                                                 updates-testing                                                88 k
 python3-pyside2                                                       x86_64                             1:5.15.2.1-3.fc36                                             updates-testing                                               9.0 M

jgrulich edited this update.

New build(s):

  • tellico-3.4.4-2.fc36
  • fcitx5-qt-5.0.11-2.fc36

Karma has been reset.

2 years ago

This update has been submitted for testing by jgrulich.

2 years ago

jgrulich edited this update.

2 years ago

As far as I understand, from reading the dnf complaints the following packages also need to be updated:

Problem 1: package xdg-desktop-portal-kde-5.24.3-3.fc36.x86_64 requires qt5-qtbase(x86-64) = 5.15.2, but none of the providers can be installed
Problem 15: package kde-connect-21.12.3-1.fc36.x86_64 requires qt5-qtbase(x86-64) = 5.15.2, but none of the providers can be installed

All the other problems are fixed with this update.

Scratch that, the problem now seems only to be kde-connect.

jgrulich edited this update.

New build(s):

  • qt5-qtwebview-5.15.3-1.fc36
  • kde-connect-21.12.2-3.fc36

Karma has been reset.

2 years ago

jgrulich edited this update.

2 years ago

This update's test gating status has been changed to 'failed'.

2 years ago

This update's test gating status has been changed to 'passed'.

2 years ago

zbyszek edited this update.

New build(s):

  • calibre-5.39.1-5.fc36

Removed build(s):

  • calibre-5.34.0-3.fc36

Karma has been reset.

2 years ago
User Icon jamatos commented & provided feedback 2 years ago

There is a new update of qt-creator more recent than the one available here: FEDORA-2022-a7b277d25f

This update has been pushed to testing.

2 years ago
User Icon thunderbirdtr commented & provided feedback 2 years ago

After last changes current "dnf update" result

Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 qt5-qtbase                           x86_64 5.15.3-1.fc36                  updates-testing                   3.6 M
 qt5-qtbase-gui                       x86_64 5.15.3-1.fc36                  updates-testing                   6.3 M
Skipping packages with broken dependencies:
 kf5-akonadi-server                   x86_64 21.12.2-2.fc36                 updates-testing                   2.4 M
 kf5-frameworkintegration             x86_64 5.91.0-2.fc36                  updates-testing                   1.6 M
 kf5-kdeclarative                     x86_64 5.91.0-2.fc36                  updates-testing                   325 k
 kf5-kirigami2                        x86_64 5.91.0-2.fc36                  updates-testing                   432 k
 kwayland-integration                 x86_64 5.24.3-3.fc36                  updates-testing                    67 k
 kwin-libs                            x86_64 5.24.3-4.fc36                  updates-testing                   1.3 M
 kwin-wayland                         x86_64 5.24.3-4.fc36                  updates-testing                   783 k
 layer-shell-qt                       x86_64 5.24.3-3.fc36                  updates-testing                    35 k

jgrulich edited this update.

New build(s):

  • qt-creator-7.0.0-2.fc36

Removed build(s):

  • qt-creator-7.0.0-0.5.rc1.fc36

Karma has been reset.

2 years ago

This update has been submitted for testing by jgrulich.

2 years ago

This update's test gating status has been changed to 'failed'.

2 years ago
User Icon thunderbirdtr commented & provided feedback 2 years ago
karma

LGTM, alll works and install able as well.

BZ#2068420 qt5-qtwebview 5.15.3 must be build for Fedora 36
BZ#2068424 calibre needs to be rebuild in f36 for new qt5
User Icon ngompa provided feedback 2 years ago
karma
BZ#2068420 qt5-qtwebview 5.15.3 must be build for Fedora 36
BZ#2068424 calibre needs to be rebuild in f36 for new qt5

This update's test gating status has been changed to 'waiting'.

2 years ago

This update's test gating status has been changed to 'failed'.

2 years ago
User Icon jgrulich provided feedback 2 years ago
User Icon tdawson commented & provided feedback 2 years ago
karma

Ya! Love the update. Thanks.

BZ#2068420 qt5-qtwebview 5.15.3 must be build for Fedora 36
BZ#2068424 calibre needs to be rebuild in f36 for new qt5
karma
BZ#2068420 qt5-qtwebview 5.15.3 must be build for Fedora 36
BZ#2068424 calibre needs to be rebuild in f36 for new qt5

This update's test gating status has been changed to 'passed'.

2 years ago

This update has been pushed to testing.

2 years ago

This update has been submitted for stable by bodhi.

2 years ago
User Icon xvitaly provided feedback 2 years ago
karma
User Icon jamatos provided feedback 2 years ago
karma
BZ#2068420 qt5-qtwebview 5.15.3 must be build for Fedora 36
BZ#2068424 calibre needs to be rebuild in f36 for new qt5

This update has been pushed to stable.

2 years ago

Please login to add feedback.

Metadata
Type
bugfix
Karma
6
Signed
Content Type
RPM
Test Gating
Builds
114
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
14 days
Dates
submitted
2 years ago
in testing
2 years ago
in stable
2 years ago
modified
2 years ago
BZ#2068420 qt5-qtwebview 5.15.3 must be build for Fedora 36
0
5
BZ#2068424 calibre needs to be rebuild in f36 for new qt5
0
5

Automated Test Results